Skip to main content
Group memberships signify that a user is a part of the group.

Group membership

Membership is used to signify that a user is part of a group.
PropertyTypeRequiredDescription
idstringNoThe unique identifier for this group membership.
typeenum<string>NoThe value will always be group_membership. Available options: group_membership.
userUser (Mini)NoThe user that the membership applies to.
groupGroup (Mini)NoThe group that the membership applies to.
roleenum<string>NoThe role of the user in the group. Available options: member, admin.
created_atstringNoThe time this membership was created.
modified_atstringNoThe time this membership was last modified.
Example
{
  "id": "11446498",
  "type": "group_membership",
  "user": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "group": {
    "id": "11446498",
    "type": "group",
    "name": "Support",
    "group_type": "managed_group"
  },
  "role": "member",
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00"
}

Group memberships

A list of group memberships.
PropertyTypeRequiredDescription
total_countintegerNoOne greater than the offset of the last entry in the entire collection. The total number of entries in the collection may be less than total_count. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.
limitintegerNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
offsetintegerNoThe 0-based offset of the first entry in this set. This will be the same as the offset query parameter. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.
orderarray of objectNoThe order by which items are returned. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.
entriesarray of Group membershipNoA list of group memberships.
Example
{
  "total_count": 5000,
  "limit": 1000,
  "offset": 2000,
  "order": [
    {
      "by": "type",
      "direction": "ASC"
    }
  ],
  "entries": [
    {
      "id": "11446498",
      "type": "group_membership",
      "user": {
        "id": "11446498",
        "type": "user",
        "name": "Aaron Levie",
        "login": "ceo@example.com"
      },
      "group": {
        "id": "11446498",
        "type": "group",
        "name": "Support",
        "group_type": "managed_group"
      },
      "role": "member",
      "created_at": "2012-12-12T10:53:43-08:00",
      "modified_at": "2012-12-12T10:53:43-08:00"
    }
  ]
}
Last modified on July 9, 2026